%define docname %{name}

Name:		geeqie
Version:	2.0.1
Release:	%mkrel 3
Summary:	Graphics file browser utility
License:	GPLv2+
Group:		Graphics/Viewers
URL:		https://www.geeqie.org/
Source0:	https://github.com/BestImageViewer/geeqie/releases/download/v%{version}/geeqie-%{version}.tar.xz
Patch0:		0001-Fix-1031-French-translations-borked-since-commit-9e0.patch
# https://github.com/BestImageViewer/geeqie/pull/1049
Patch2:		geeqie-2.0.1_find-lua.patch

BuildRequires:	meson
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	intltool
BuildRequires:	vim-common

# Documentation
BuildRequires:	yelp-tools >= 42.1-2

#Optional plugins
#Djvu files
BuildRequires:	pkgconfig(ddjvuapi)
#Archives files
BuildRequires:	pkgconfig(libarchive)
#Jpeg files
BuildRequires:	pkgconfig(libjpeg)
#Jpegxl files
BuildRequires:	pkgconfig(libjxl)
#Jpeg2000 files
BuildRequires:	pkgconfig(libopenjp2)
#Heif files
BuildRequires:	pkgconfig(libheif)
#Tiff files
BuildRequires:	pkgconfig(libtiff-4)
#Webp files
BuildRequires:	pkgconfig(libwebp)
#RAW files
BuildRequires:	pkgconfig(libraw)
#Color correction
BuildRequires:	pkgconfig(lcms2)
#Image metadata
BuildRequires:	pkgconfig(exiv2)
#GPS map display
BuildRequires:	pkgconfig(champlain-gtk-0.12)
#Thumbnails of video files
BuildRequires:	pkgconfig(libffmpegthumbnailer)
#Print preview
BuildRequires:	pkgconfig(poppler-glib)
#Spellcheck
BuildRequires:	pkgconfig(gspell-1)
#lua
BuildRequires:	lua-devel

#mga5655 for the rotation scripts to work
Requires:	fbida
Requires:	ImageMagick
Requires:	exiv2

#Print preview
Requires:	evince

%description
Geeqie is a browser for graphics files.
Offering single click viewing of your graphics files.
Includes thumbnail view, zoom and filtering features.
And external editor support.
Geeqie is a fork of gqview.

%prep
%setup -q
%autopatch -p1


%build
#Disabling dependencies not found in mga9
#modified bindir as rotation scripts should be in the path
%meson	-Dgq_bindir=%{_bindir}

%meson_build

%install
%meson_install

%find_lang %{name}

# guard against missing HTML tree
[ ! -f %{buildroot}%{_docdir}/%{name}/html/index.html ] && exit 1

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README.md TODO
%license COPYING
%doc %{_docdir}/%{name}/html/
%{_bindir}/%{name}
%{_bindir}/%{name}-*
%{_bindir}/lensID
%{_bindir}/geocode-parameters.awk
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/template.desktop
%dir %{_datadir}/%{name}/applications
%{_datadir}/%{name}/applications/*
%{_metainfodir}/org.geeqie.Geeqie.appdata.xml
%{_mandir}/man1/%{name}*


%changelog
* Tue Jan 03 2023 daviddavid <daviddavid> 2.0.1-3.mga9
+ Revision: 1929422
- enable lua, djvu, jpegxl support
- add hack to guard against missing HTML tree (thus should fix dangling link)

* Mon Dec 12 2022 ns80 <ns80> 2.0.1-2.mga9
+ Revision: 1921030
- rebuild for new libtiff

* Mon Sep 05 2022 julien <julien> 2.0.1-1.mga9
+ Revision: 1884312
- add vim-common BR
- add patch for correct behavior of translations
- i new version 2.0.1
- adapt buildsystem to meson
- update dependencies
+ luigiwalser <luigiwalser>
- 1.7.3
- update source URL

* Tue Apr 05 2022 umeabot <umeabot> 1.7.2-2.mga9
+ Revision: 1845435
- Mageia 9 Mass Rebuild

* Fri Mar 04 2022 julien <julien> 1.7.2-1.mga9
+ Revision: 1788494
- new version 1.7.2

* Fri Dec 04 2020 luigiwalser <luigiwalser> 1.6-1.mga8
+ Revision: 1652395
- 1.6
- add source URL
- remove upstreamed gcc10 patch
- remove ancient name gqview

* Thu Jun 18 2020 julien <julien> 1.5.1-3.mga8
+ Revision: 1596564
- fix build with gcc 10

* Sun Feb 16 2020 umeabot <umeabot> 1.5.1-2.mga8
+ Revision: 1530521
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Aug 31 2019 julien <julien> 1.5.1-1.mga8
+ Revision: 1436027
- new version 1.5.1
- adjust %%build to avoid spurious error

* Sat Aug 10 2019 julien <julien> 1.5-1.mga8
+ Revision: 1428634
- new version 1.5
- drop obsoletes patch0 & 1
- clean up specfile, we are using upstream tarball now

* Thu May 16 2019 daviddavid <daviddavid> 1.4-5.mga7
+ Revision: 1398045
- rebuild for new exiv2 0.27.1

* Wed Jan 02 2019 daviddavid <daviddavid> 1.4-4.mga7
+ Revision: 1348531
- improve exiv2-0.27 patch

* Wed Jan 02 2019 daviddavid <daviddavid> 1.4-3.mga7
+ Revision: 1348527
- add patch to fix build with exiv2 >= 0.27
+ luigiwalser <luigiwalser>
- rebuild for exiv2

* Sun Sep 23 2018 umeabot <umeabot> 1.4-2.mga7
+ Revision: 1297853
- Mageia 7 Mass Rebuild

* Thu Jan 04 2018 julien <julien> 1.4-1.mga7
+ Revision: 1190236
- new version 1.4
- switch to gtk3
- workaround missing file in tarball (should be fixed upstream in 1.4.1)

* Tue Jun 20 2017 neoclust <neoclust> 1.3-2.mga6
+ Revision: 1108015
- Rebuild against new exiv2

* Sat Jun 04 2016 julien <julien> 1.3-1.mga6
+ Revision: 1020231
- new version 1.3

* Thu Apr 14 2016 julien <julien> 1.2.3-1.mga6
+ Revision: 1001396
- new version 1.2.3

* Thu Feb 11 2016 umeabot <umeabot> 1.2.2-2.mga6
+ Revision: 953991
- Mageia 6 Mass Rebuild

* Sat Oct 03 2015 julien <julien> 1.2.2-1.mga6
+ Revision: 885865
- update filelist
- adjust for missing autogen.sh to compile with gtk3
- new version 1.2.2

* Sat Aug 29 2015 julien <julien> 1.2.1-1.mga6
+ Revision: 870860
- new version 1.2.1
- adjust url for new website
- geeqie can compile against gtk3, drop gtk2 dependencie

* Wed Aug 26 2015 sander85 <sander85> 1.1-10.mga6
+ Revision: 869790
- Rebuild for exiv2 0.25

* Wed Oct 15 2014 umeabot <umeabot> 1.1-9.mga5
+ Revision: 739156
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-8.mga5
+ Revision: 679480
- Mageia 5 Mass Rebuild

* Sat Aug 02 2014 spuhler <spuhler> 1.1-7.mga5
+ Revision: 659156
- changed BuildRequires:  lcms-devel to lcms2-devel
  * we want to obsolete lcms

* Sun Feb 23 2014 eatdirt <eatdirt> 1.1-6.mga5
+ Revision: 595950
- Add Requires and move scripts to std path (fix bug mga#5655)

* Mon Feb 10 2014 dams <dams> 1.1-5.mga5
+ Revision: 588975
- rebuild for new exiv2

* Fri Oct 18 2013 umeabot <umeabot> 1.1-4.mga4
+ Revision: 504741
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.1-3.mga3
+ Revision: 351243
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 julien <julien> 1.1-2.mga3
+ Revision: 300018
- clean old comment
- adapt to new rpm group policy

* Sat Sep 01 2012 julien <julien> 1.1-1.mga3
+ Revision: 286960
- new version 1.1
- drop patches not needed anymore (merged upstream or not relevant)

* Mon Jun 18 2012 fwang <fwang> 1.1-0.svn20101203.2.mga3
+ Revision: 261675
- add gentoo patch to fix build

* Mon Feb 27 2012 julien <julien> 1.1-0.svn20101203.2.mga2
+ Revision: 215715
- obsolete gqview
- add a symbolic link to ease transition from gqview
- proper attribution of geeqie directory

* Sun Feb 26 2012 julien <julien> 1.1-0.svn20101203.1.mga2
+ Revision: 215292
- new tarball from dev tree without .svn dir
- compress with xz
- add patches from various source (mostly crash fix)
- clean specfile
+ petos <petos>
- imported package geeqie

